/*
    Physics Simulation

    (C) 2007 Jason Hunt
    nulluser@gmail.com

    File: utility.cpp
*/

#include "core.h"



/* Return a random number in the specified range */
double f_rand(double s, double e)
{
    return((e - s)*(rand() / (double)RAND_MAX) + s);
}
/* End of f_rand */


/* Return current time in seconds */
double get_time( void )
{
  //  EnterCriticalSection(&time_lock);           

    static LARGE_INTEGER freq;
    bool init = 0;

    if (!init)
    {
        QueryPerformanceFrequency(&freq);
        init = 1;
    }

    LARGE_INTEGER c;

    QueryPerformanceCounter(&c);

    double value = c.QuadPart / (double)freq.QuadPart;
    
   // LeaveCriticalSection(&time_lock);
    
    return(value);
}
/* End of get_time */



void debug_start( void )
{
    FILE *f = fopen("debug.txt", "wt");        
    fclose(f);    
}



void debug(char *t)
{
    FILE *f = fopen("debug.txt", "at");        
    fprintf(f, "%s\n", t);
    fclose(f);    
}


void debug(char *t, double n)
{
    FILE *f = fopen("debug.txt", "at");        
    fprintf(f, "%s: %f\n", t, n);
    fclose(f);    
}

void debug(char *t, int n)
{
    FILE *f = fopen("debug.txt", "at");        
    fprintf(f, "%s: %d\n", t, n);
    fclose(f);    
}









